<?php
/**
 * @file
 * Default rules for the nodecopy module
 */

/**
 * Implements hook_default_rules_configuration().
 */
function commerce_nodecopy_default_rules_configuration() {
  $items = array();
  $items['commerce_nodecopy_process'] = entity_import('rules_config', '{ "rules_copy_nodes_referenced_on_products" : {
    "LABEL" : "Copy nodes referenced on products",
    "PLUGIN" : "reaction rule",
    "REQUIRES" : [ "commerce_nodecopy", "commerce_checkout" ],
    "ON" : [ "commerce_checkout_complete" ],
    "DO" : [
      { "LOOP" : {
          "USING" : { "list" : [ "commerce-order:commerce-line-items" ] },
          "ITEM" : { "list_item" : "Current list item" },
          "DO" : [
            { "commerce_nodecopy_process_lineitem" : { "commerce_line_item" : [ "list-item" ] } }
          ]
        }
      }
    ]
  }
}');
  return $items;
}
